textures/mc-seeeker/Glowstone
{
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_surfacelight 2048 //intensity
	tessSize 64
	
	qer_editorimage textures/mc-seeeker/glowstone.tga
	{
		map textures/mc-seeeker/glowstone.tga
	}
}

textures/mc-seeeker/Lava
{
	qer_trans .75
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm lava
	surfaceparm trans
	q3map_surfacelight 2048 //intensity
	tessSize 64
	qer_editorimage textures/mc-seeeker/Lava.tga
	
	{
		map textures/mc-seeeker/Lava0.tga
	}
}
textures/mc-seeeker/Lava_nodraw
{
	qer_editorimage textures/mc-seeeker/Lava_nodraw.tga
	qer_trans .75
	surfaceparm nodraw
	surfaceparm lava
	surfaceparm trans
	//q3map_surfacelight 2048 //intensity
	tessSize 64
}

textures/mc-seeeker/Water_nodraw
{
	qer_editorimage textures/mc-seeeker/Water_nodraw.tga
	qer_trans .75
	surfaceparm nodraw
	surfaceparm water
	surfaceparm trans
	tessSize 64
}


textures/mc-seeeker/Water
{
	qer_trans .75
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm trans
	
	//sort Underwater 
	sort Nearest  
	cull disable
	polygonOffset
	
	qer_editorimage textures/mc-seeeker/Water.tga
	{
		map textures/mc-seeeker/Water0.tga
		rgbGen const ( .1 .1 .1 )
		//alphaFunc GE128
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		//blendfunc add
		//depthwrite
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_alpha
		//blendfunc filter
		//rgbGen const ( .01 .01 .01 )
		rgbGen identity
		tcGen lightmap 
		
	}
}

textures/mc-seeeker/Glass
{
	qer_editorimage textures/mc-seeeker/Glass.tga
	qer_trans .30
	
	surfaceparm trans
	//surfaceparm nolightmap
	surfaceparm nomarks
	
	//cull twosided
	
	{
		map textures/mc-seeeker/Glass.tga
		rgbGen const ( .5 .5 .5 )
		alphaFunc GE128
		//blendfunc filter
		depthWrite
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/mc-seeeker/Glass_old
{
	qer_editorimage textures/mc-seeeker/Glass.tga
	qer_trans .30
	
	surfaceparm trans
	//surfaceparm nolightmap
	surfaceparm nomarks
	
	//cull twosided
	
	{
		map textures/mc-seeeker/Glass.tga
		rgbGen const ( .1 .1 .1 )
		blendfunc add
		//tcGen environment
		//blendfunc GL_ONE GL_ONE
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_alpha
		rgbGen identity
		tcGen lightmap 
	}
}